Forum Linux.mandriva Désinstallation de RPM sous Mandriva 2008.1

Posté par .
Tags : aucun
0
11
juil.
2008
Bonjour,
Il y a deux jours, j'ai reçu un message de mon système qui me propose des mises à jour automatique de paquetages.
J'ai fait l'installation des mises à jour de OpenOffice. Depuis, toutes les applications OpenOffice ne fonctionnent plus. Le OpenCalc plante systématiquement dès que je me déplace dans un document. Le Open Writer n'ouvre pas. Ni pour un ancien document ni pour un nouveau.
Évidemment, toutes les applications étaient impeccables avant cette mise à jour.

En consultant le forum OpenOffice on suspecte un fichier corrompu lors du téléchargement.

Ma question, comment être certain que tout est bien désinstallé avant de remettre un nouveau paquetage RPM.

Version installée : selon rpmdrake : 2.4.1.5-2.3mdv2008.1

La commande À propos de Aide de l'application affiche 2.4.1.5.20080613

Os Mandriva 2008.1

Quelqu'un peut m'aider?

Merci
François
  • # connaitre le rpm installés:

    Posté par . Évalué à 0.

    La commande pour lister les paquets installés:

    rpm -qa | grep nom_du_paquet (une partie du nom). Pour OOo ça va faire un nombre de paquets conséquent .

    Sinon l'interface Mandriva "rpmdrake" à des options "catégories" (bureautique en l'occurence) et "installés" (ou "pas installés"... ou je me rappelle plus.)
    • [^] # Re: connaitre le rpm installés:

      Posté par . Évalué à 1.

      Bonjour à tous,
      Merci de l'intérêt porté à mon problème. Je ne sais pas exactement ce qui a causé ce bug, mais j'ai tout désinstallé à partir de rpmdrake. J'ai aussi fait la vérification à partir de commande urpmi en root.

      J'ai ensuite réinstallé un paquetage dont j'ai fait la vérification du md5sum. Et tout est de retour à la normale.

      Ce problème est résolu mais je n'ai pas trouvé la source. Mais enfin, cela est corrigé. Pour moi c'est ce qui compte.

      Bonne journée

      François
  • # Plus simplement

    Posté par (page perso) . Évalué à 3.

    dans une console
    $sudo urpme -a openoffice.org
    l'option "-a" va sélectionner (et donc supprimer) tous les paquets dont le nom contient "openoffice.org" (c'est tous les pacquets qui seraient listés avec rpm -qa | grep openoffice.org)

    enuite pour faire le ménage "au cas où"
    $ sudo urpmi --clean
    ce qui va effacer le cache local

    et la réinstallation
    $ sudo urpmi openoffice.org
    • [^] # Re: Plus simplement

      Posté par . Évalué à 2.

      ou comment taper 10 fois sudo...

      autant pour 1 commande, je peux comprendre, autant pour enchainer les commandes c'est comment dire... chiant.
      un bête su - puis les commandes à taper ça passe très bien.

      sudo est pratique pour certains trucs, mais là clairement c'est se compliquer la vie

      Il ne faut pas décorner les boeufs avant d'avoir semé le vent

      • [^] # Re: Plus simplement

        Posté par (page perso) . Évalué à 1.

        bof.

        Le mot de passe ne se rentre qu'un fois, sudo, c'est vite tapé et l'avantage, c'est qu'on ne se retrouve pas avec une session root ouverte qu'on risquerait d'oublier de fermer (surtout un utilisateur débutant).

        Ensuite, les gouts et les couleurs...
  • # désolé

    Posté par . Évalué à 2.

    Désolé

    Pour mon humble part, je n' arrive pas à reproduire le bug.
    Et ne comprends pas comment un rpm "corrompu" par un téléchargement foireux à pu s' installer.
  • # meme probleme ....

    Posté par . Évalué à 1.

    Salut,

    je suis passé sous mandriva 2008.1 il y a une semaine, mises à jour et tout le bazar ... et dans l'ensemble, tout va bien .. SAUF openoffice (version de packages 2.4.1.5-2.3mdv2008.1) !!!
    openoffice plante invariablement ! il se ferme soudainement dès que je navigue dans un document ...

    j'ai réinstallé plusieurs fois, avec des packages venant de différents mirroirs français et même étrangers... rien y fait, toujours les mêmes symptômes.

    si vous qq'un à la solution ...

    Merci
    ced
    • [^] # Re: meme probleme ....

      Posté par . Évalué à 1.

      juste un petit mot de plus pour signaler qu'en désespoir de cause, j'ai réinstallé la version 2.4.0.4 aved rpmDrake .. et que ça à l'air de fonctionner correctement !!

      Mais si qq'un à la solution pour la 2.4.1.5 sans pb , je suis preneur !
      A+
      ced

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.